HI, i am brandly new user for LINUX. Recently i need to use the network simulator NS-2.34 in a project however i found error while the installation process :

Warning: tclStubInit.c may be out of date.
Developers may want to run "make genstubs" to regenerate.
This warning can be safely ignored, do not report as a bug!
Installing libtcl8.4.a to /home/karenLINUX/Downloads/ns-allinone-2.34/lib/
cp: cannot create regular file `/home/karenLINUX/Downloads/ns-allinone-2.34/lib/#inst.22332#': Permission denied
rm: cannot remove `/home/karenLINUX/Downloads/ns-allinone-2.34/lib/libtcl8.4.a': Permission denied
mv: cannot stat `/home/karenLINUX/Downloads/ns-allinone-2.34/lib/#inst.22332#': No such file or directory
ranlib: could not create temporary file whilst writing archive: No more archived files
make: *** [install-binaries] Error 1
tcl8.4.18 installation failed.

---------------------------------------------------------------------------------------------------------
I do not understand about the error..
May someone explain it to me?
Thank You very much!